@import '../../vars';

$border-radius-desktop: 22px;
$border-radius-mobile: 26px;

.tabulator {
  display: inline-flex;
  padding: 4px;
  border-radius: $border-radius-mobile;
  background-color: rgba(34, 34, 34, 0.1);

  @media (min-width: 768px) {
    border-radius: $border-radius-desktop;
  }

  &.disabled {
    opacity: 0.5;

    & .tabulatorButton {
      cursor: default;
      pointer-events: none;
    }
  }
}

.tabulatorWrap {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 -40px;

  @media (min-width: 768px) {
    margin: 0;
    justify-content: flex-start;
  }
}

.tabulatorButton {
  font-family: 'MarkProBold', Helvetica, Arial, sans-serif;
  position: relative;
  user-select: none;
  cursor: pointer;
  text-align: center;
  font-weight: 700;
  font-size: 14px;
  line-height: 17.75px;
  color: #222222;
  padding: 12px 24px;
  border-radius: $border-radius-mobile;
  margin-left: 5px;
  transition: background-color $transitionStyle;

  &:first-child {
    margin-left: 0;
  }

  &.active {
    background-color: #ffffff;
  }

  @media (min-width: 768px) {
    padding: 8px 20px;
    border-radius: $border-radius-desktop;
  }
}

.tabulatorButton.active .optionBackground {
  opacity: 1;
}

.tabulatorRadio {
  display: none;
  position: absolute;
  left: -9999px;
}
